'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');
const utils = require('./utils-3ac69d07.js');

const MxBlockWrapper = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.componentWillRender = utils.propagateDataAttributes;
    this.columns = undefined;
  }
  get containerClass() {
    let str = 'mx-block-wrapper-container';
    if (this.columns > 0 && this.columns < 7) {
      str += ' md:grid-cols-' + this.columns;
    }
    else {
      str += ' md:grid-cols-none';
    }
    return str;
  }
  render() {
    return (index.h(index.Host, { class: 'mx-block-wrapper' }, index.h("div", { class: this.containerClass }, index.h("slot", null))));
  }
  get element() { return index.getElement(this); }
};

exports.mx_block_wrapper = MxBlockWrapper;

//# sourceMappingURL=mx-block-wrapper.cjs.entry.js.map