'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');

const MxSubmenu = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.mxChange = index.createEvent(this, "mxChange", 7);
    this.tabs = undefined;
    this.value = null;
  }
  componentDidLoad() {
    if (this.mxTabs)
      this.mxTabs.menuButton = this.menuButton;
  }
  render() {
    return (index.h(index.Host, { class: "mx-submenu relative flex h-60 rounded" }, index.h("div", { class: "flex-1 overflow-hidden mx-20" }, this.tabs && this.tabs.length && (index.h("mx-tabs", { ref: el => (this.mxTabs = el), submenu: true, tabs: this.tabs, value: this.value, onMxChange: e => this.mxChange.emit(e.detail) }, index.h("slot", { name: "menu", slot: "menu" })))), this.tabs && this.tabs.length && (index.h("button", { ref: el => (this.menuButton = el), "aria-label": "Show navigation menu", class: "hidden h-60 w-60 flex-shrink-0 items-center justify-center leading-none" }, index.h("i", { class: "mds-list text-2" })))));
  }
  get element() { return index.getElement(this); }
};

exports.mx_submenu = MxSubmenu;

//# sourceMappingURL=mx-submenu.cjs.entry.js.map