import { newSpecPage } from "@stencil/core/testing";
import { MxTimeline } from "../mx-timeline";
describe('mx-timeline', () => {
  let page;
  let root;
  beforeEach(async () => {
    page = await newSpecPage({
      components: [MxTimeline],
      html: `<mx-timeline><span>Hello</span></mx-timeline>`,
    });
    root = page.root;
  });
  it('has a role of list', () => {
    expect(root.getAttribute('role')).toBe('list');
  });
  it('renders children as expected', () => {
    const children = root.children;
    expect(children.length).toBe(2);
    expect(children[0].textContent).toBe('Hello');
  });
});
//# sourceMappingURL=mx-timeline.spec.js.map
