import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const MxTimeline$1 = proxyCustomElement(class MxTimeline extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
  }
  render() {
    return (h(Host, { class: "mx-timeline rounded", role: "list" }, h("div", { class: "timeline-line", role: "presentation" })));
  }
}, [0, "mx-timeline"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-timeline"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-timeline":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxTimeline$1);
      }
      break;
  } });
}

const MxTimeline = MxTimeline$1;
const defineCustomElement = defineCustomElement$1;

export { MxTimeline, defineCustomElement };

//# sourceMappingURL=mx-timeline.js.map