import { r as registerInstance, h, H as Host } from './index-b37ad95b.js';

const MxComment = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.inverted = false;
  }
  render() {
    return (h(Host, { class: "mx-comment" }, h("blockquote", null, h("div", { class: "comment-avatar", role: "presentation", "data-testid": "avatar" }, h("slot", { name: "avatar" })), h("cite", { class: "text-3 leading-none font-bold not-italic break-anywhere" }, h("slot", { name: "author" })), h("time", { class: "text-small uppercase" }, h("slot", { name: "date" })), h("div", { class: 'comment-text text-body my-0 break-anywhere ' + (this.inverted ? 'inverted' : ''), "data-testid": "text" }, h("slot", null)))));
  }
};

export { MxComment as mx_comment };

//# sourceMappingURL=mx-comment.entry.js.map