import { r as registerInstance, h, H as Host } from './index-b37ad95b.js';

const MxTabContent = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.index = undefined;
    this.value = undefined;
  }
  get isActiveTab() {
    return this.value >= 0 && this.index === this.value;
  }
  render() {
    return (h(Host, { class: !this.isActiveTab ? 'hidden' : '', role: "tabpanel" }, h("slot", null)));
  }
};

export { MxTabContent as mx_tab_content };

//# sourceMappingURL=mx-tab-content.entry.js.map