import { EventEmitter } from '../../stencil-public-runtime';
import { propagateDataAttributes } from '../../utils/utils';
import { IMxBlockInputProps } from '../mx-block-input/mx-block-input';
interface IMxBlockSearchProps extends IMxBlockInputProps {
  searchButtonType: 'button' | 'submit';
}
export declare class MxBlockSearch implements IMxBlockSearchProps {
  dataAttributes: {};
  assistiveText: string;
  autofocus: boolean;
  colspan: number;
  disabled: boolean;
  error: boolean;
  inputId: string;
  label: string;
  maxlength: number;
  name: string;
  placeholder: string;
  readonly: boolean;
  searchButtonType: 'button' | 'submit';
  value: string;
  element: HTMLMxBlockSearchElement;
  mxClear: EventEmitter<void>;
  mxSearch: EventEmitter<string>;
  componentWillRender: typeof propagateDataAttributes;
  onSearchClick(): void;
  render(): any;
}
export {};
