import { propagateDataAttributes } from '../../utils/utils';
export interface IMxBlockTextareaProps {
  assistiveText: string;
  autofocus: boolean;
  disabled: boolean;
  error: boolean;
  textareaId: string;
  label: string;
  maxlength: number;
  name: string;
  placeholder: string;
  readonly: boolean;
  value: string;
}
export declare class MxBlockTextarea implements IMxBlockTextareaProps {
  dataAttributes: {};
  textarea: HTMLTextAreaElement;
  uuid: string;
  assistiveText: string;
  autofocus: boolean;
  disabled: boolean;
  error: boolean;
  textareaId: string;
  label: string;
  maxlength: number;
  name: string;
  placeholder: string;
  readonly: boolean;
  value: string;
  isFocused: boolean;
  characterCount: number;
  element: HTMLMxBlockTextareaElement;
  componentWillRender: typeof propagateDataAttributes;
  componentDidLoad(): void;
  onValueChange(): void;
  updateValue(): void;
  onFocus(): void;
  onBlur(): void;
  onInput(e: InputEvent): void;
  get hasValue(): boolean;
  get containerClass(): string;
  render(): any;
}
