import { Chart, ChartType, ChartData, ChartOptions } from 'chart.js';
export type ChartJsData = ChartData;
export type ChartJsOptions = ChartOptions;
export declare class MxChart {
  canvasEl: HTMLCanvasElement;
  chart: Chart;
  data: ChartJsData;
  elAriaLabel: string;
  height: number;
  options: ChartJsOptions;
  type: ChartType;
  width: number;
  element: HTMLMxChartElement;
  onDataChange(): void;
  componentDidLoad(): void;
  update(): Promise<void>;
  get chartStyle(): {
    width: string;
    height: string;
  };
  render(): any;
}
