import { EventEmitter } from '../../stencil-public-runtime';
export declare class MxChip {
  chipElem: HTMLElement;
  uuid: string;
  outlined: boolean;
  disabled: boolean;
  selected: boolean;
  clickable: boolean;
  removable: boolean;
  avatarUrl: string;
  icon: string;
  value: any;
  choice: boolean;
  filter: boolean;
  element: HTMLMxChipElement;
  mxRemove: EventEmitter<MouseEvent>;
  componentWillRender(): void;
  onClick(e: MouseEvent): void;
  onKeyDown(e: KeyboardEvent): void;
  onRemove(e: MouseEvent): void;
  get hasLeftIcon(): string | boolean;
  get isClickable(): boolean;
  get chipClass(): string;
  get removeButtonClass(): string;
  get ariaRole(): "button" | "checkbox" | "radio";
  get avatarStyle(): {
    background: string;
    backgroundSize: string;
  };
  render(): any;
}
