export declare class MxDropdownMenu {
  dropdownWrapper: HTMLElement;
  inputElem: HTMLInputElement;
  menu: HTMLMxMenuElement;
  elAriaLabel: string;
  disabled: boolean;
  readonly: boolean;
  dense: boolean;
  elevated: boolean;
  flat: boolean;
  label: string;
  dropdownClass: string;
  dropdownId: string;
  name: string;
  suffix: string;
  value: any;
  error: boolean;
  assistiveText: string;
  isFocused: boolean;
  onClick(e: MouseEvent): Promise<void>;
  componentDidLoad(): void;
  onValueChange(): void;
  attachMenu(): void;
  onBlur(): void;
  onFocus(): void;
  onMenuClose(e: any): void;
  updateInputValue(): void;
  get dropdownWrapperClass(): string;
  get inputClass(): string;
  get suffixClass(): string;
  render(): any;
}
