import { EventEmitter } from '../../stencil-public-runtime';
import { MinWidths } from '../../utils/minWidthSync';
import { IMxButtonProps } from '../mx-button/mx-button';
export interface IModalButton extends IMxButtonProps {
  label: string;
}
export declare class MxModal {
  backdrop: HTMLElement;
  focusElements: HTMLElement[];
  firstFocusElement: HTMLElement;
  lastFocusElement: HTMLElement;
  hasCard: boolean;
  hasHeader: boolean;
  hasHeaderBottom: boolean;
  hasHeaderCenter: boolean;
  modal: HTMLElement;
  ancestorFocusedElement: HTMLElement;
  headerBottomSlotWrapper: HTMLElement;
  mobilePageHeader: HTMLMxPageHeaderElement;
  uuid: string;
  buttons: IModalButton[];
  closeOnEscape: boolean;
  closeOnOutsideClick: boolean;
  contentClass: string;
  description: string;
  fromLeft: boolean;
  fromRight: boolean;
  isOpen: boolean;
  portal: boolean;
  previousPageTitle: string;
  previousPageUrl: string;
  large: boolean;
  unpadded: boolean;
  minWidths: MinWidths;
  isVisible: boolean;
  element: HTMLMxModalElement;
  mxClose: EventEmitter<any>;
  toggleModal(): void;
  updateSlottedButtonSize(): void;
  onKeyDown(e: KeyboardEvent): void;
  onDocumentKeyDown(e: KeyboardEvent): void;
  componentWillRender(): void;
  connectedCallback(): void;
  disconnectedCallback(): void;
  componentDidLoad(): void;
  openModal(): Promise<void>;
  getFocusElements(): void;
  closeModal(): Promise<void>;
  onBackdropClick(): void;
  get hostClass(): string;
  get modalClass(): string;
  get openTransition(): (el: HTMLElement) => Promise<void>;
  get closeTransition(): (el: HTMLElement) => Promise<void>;
  get hasFooter(): boolean;
  get buttonsJsx(): any;
  get modalContentClasses(): string;
  render(): any;
}
