import { propagateDataAttributes } from '../../utils/utils';
export declare class MxSelect {
  selectElem: HTMLSelectElement;
  textArea: HTMLTextAreaElement;
  uuid: string;
  dataAttributes: {};
  assistiveText: string;
  autofocus: boolean;
  dense: boolean;
  disabled: boolean;
  elevated: boolean;
  flat: boolean;
  label: string;
  floatLabel: boolean;
  elAriaLabel: string;
  selectClass: string;
  selectId: string;
  name: string;
  suffix: string;
  error: boolean;
  labelClass: string;
  value: any;
  isFocused: boolean;
  element: HTMLMxInputElement;
  componentWillRender: typeof propagateDataAttributes;
  componentDidLoad(): void;
  onValueChange(): void;
  updateSelectValue(): void;
  onFocus(): void;
  onBlur(): void;
  onInput(e: InputEvent): void;
  get hasValue(): boolean;
  get selectWrapperClass(): string;
  get selectElClass(): string;
  get labelClassNames(): string;
  get iconSuffixClass(): string;
  get iconEl(): any;
  render(): any;
}
