import { Placement, Instance as PopperInstance } from '@popperjs/core';
import { HTMLStencilElement } from '../stencil-public-runtime';
export type PopoverPlacement = Placement;
export type PopoverInstance = PopperInstance;
export type PopoverOffset = [number, number];
export declare function createPopover(anchorEl: HTMLElement, popoverEl: HTMLStencilElement | HTMLElement, placement: PopoverPlacement, offset?: PopoverOffset): Promise<PopoverInstance>;
export declare function convertPlacementToOrigin(placement: PopoverPlacement): string;
