export declare function uuidv4(): string;
export declare function queryPrefersReducedMotion(): boolean;
export declare function capitalize(str: string): string;
export declare function isDateObject(val: any): boolean;
export declare function parseTimeString(str: string): {
  hours: number;
  minutes: number;
};
export declare function getCursorCoords(e: MouseEvent | TouchEvent): {
  pageX: number;
  pageY: number;
  clientX: number;
  clientY: number;
};
export declare function getPageRect(el: HTMLElement): Partial<DOMRect>;
export declare function getBounds(container: HTMLElement | Window): Partial<DOMRect>;
export declare function isScrolledOutOfView(el: HTMLElement): boolean;
export declare function getScrollingParent(el: HTMLElement): HTMLElement | Window;
export declare function propagateDataAttributes(): void;
