'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');
const portal = require('./portal-b7d8bc84.js');

const MxFloatingToolbar = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.portal = false;
  }
  componentWillLoad() {
    this.element.querySelectorAll('mx-button').forEach((button) => {
      button.btnType = 'contained';
      button.hug = true;
    });
  }
  componentDidLoad() {
    if (this.portal)
      portal.moveToPortal(this.element);
  }
  render() {
    return (index.h(index.Host, { role: "toolbar", class: "mx-floating-toolbar grid h-60 fixed bottom-10 left-10 right-10 max-w-sm mx-auto rounded-md overflow-hidden" }, index.h("slot", null)));
  }
  get element() { return index.getElement(this); }
};

exports.mx_floating_toolbar = MxFloatingToolbar;

//# sourceMappingURL=mx-floating-toolbar.cjs.entry.js.map