'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');

const MxTabContent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.index = undefined;
    this.value = undefined;
  }
  get isActiveTab() {
    return this.value >= 0 && this.index === this.value;
  }
  render() {
    return (index.h(index.Host, { class: !this.isActiveTab ? 'hidden' : '', role: "tabpanel" }, index.h("slot", null)));
  }
};

exports.mx_tab_content = MxTabContent;

//# sourceMappingURL=mx-tab-content.cjs.entry.js.map