'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-6172c188.js');
const ripple = require('./ripple-207fb216.js');
const utils = require('./utils-3ac69d07.js');

const MxToggleButton = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.dataAttributes = {};
    this.componentWillRender = utils.propagateDataAttributes;
    this.icon = undefined;
    this.selected = false;
    this.disabled = false;
    this.elAriaLabel = undefined;
    this.value = undefined;
  }
  onClick(e) {
    ripple.ripple(e, this.btnElem);
  }
  render() {
    return (index.h(index.Host, { class: "mx-toggle-button inline-flex overflow-hidden border-l\n      first-of-type:border-l-0 first-of-type:rounded-tl first-of-type:rounded-bl\n      last-of-type:rounded-tr last-of-type:rounded-br" }, index.h("button", Object.assign({ type: "button", class: 'btn-toggle inline-flex relative items-center justify-center w-48 h-48 text-1 overflow-hidden cursor-pointer disabled:cursor-auto disabled:pointer-events-none' +
        (this.selected ? ' selected' : ''), ref: el => (this.btnElem = el), disabled: this.disabled, role: this.value === undefined ? 'switch' : 'radio', "aria-checked": this.selected ? 'true' : 'false', "aria-label": this.elAriaLabel, onClick: this.onClick.bind(this) }, this.dataAttributes), index.h("slot", null), index.h("i", { class: this.icon }))));
  }
  get element() { return index.getElement(this); }
};

exports.mx_toggle_button = MxToggleButton;

//# sourceMappingURL=mx-toggle-button.cjs.entry.js.map