import { Host, h } from "@stencil/core";
export class MxComment {
  constructor() {
    this.inverted = false;
  }
  render() {
    return (h(Host, { class: "mx-comment" }, h("blockquote", null, h("div", { class: "comment-avatar", role: "presentation", "data-testid": "avatar" }, h("slot", { name: "avatar" })), h("cite", { class: "text-3 leading-none font-bold not-italic break-anywhere" }, h("slot", { name: "author" })), h("time", { class: "text-small uppercase" }, h("slot", { name: "date" })), h("div", { class: 'comment-text text-body my-0 break-anywhere ' + (this.inverted ? 'inverted' : ''), "data-testid": "text" }, h("slot", null)))));
  }
  static get is() { return "mx-comment"; }
  static get properties() {
    return {
      "inverted": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": "Set to true to use light text on a dark background"
        },
        "attribute": "inverted",
        "reflect": false,
        "defaultValue": "false"
      }
    };
  }
}
//# sourceMappingURL=mx-comment.js.map
