import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const MxComment$1 = proxyCustomElement(class MxComment extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.inverted = false;
  }
  render() {
    return (h(Host, { class: "mx-comment" }, h("blockquote", null, h("div", { class: "comment-avatar", role: "presentation", "data-testid": "avatar" }, h("slot", { name: "avatar" })), h("cite", { class: "text-3 leading-none font-bold not-italic break-anywhere" }, h("slot", { name: "author" })), h("time", { class: "text-small uppercase" }, h("slot", { name: "date" })), h("div", { class: 'comment-text text-body my-0 break-anywhere ' + (this.inverted ? 'inverted' : ''), "data-testid": "text" }, h("slot", null)))));
  }
}, [4, "mx-comment", {
    "inverted": [4]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["mx-comment"];
  components.forEach(tagName => { switch (tagName) {
    case "mx-comment":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, MxComment$1);
      }
      break;
  } });
}

const MxComment = MxComment$1;
const defineCustomElement = defineCustomElement$1;

export { MxComment, defineCustomElement };

//# sourceMappingURL=mx-comment.js.map