import { r as registerInstance, c as createEvent, h, H as Host, g as getElement } from './index-b37ad95b.js';

const MxSubmenu = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.mxChange = createEvent(this, "mxChange", 7);
    this.tabs = undefined;
    this.value = null;
  }
  componentDidLoad() {
    if (this.mxTabs)
      this.mxTabs.menuButton = this.menuButton;
  }
  render() {
    return (h(Host, { class: "mx-submenu relative flex h-60 rounded" }, h("div", { class: "flex-1 overflow-hidden mx-20" }, this.tabs && this.tabs.length && (h("mx-tabs", { ref: el => (this.mxTabs = el), submenu: true, tabs: this.tabs, value: this.value, onMxChange: e => this.mxChange.emit(e.detail) }, h("slot", { name: "menu", slot: "menu" })))), this.tabs && this.tabs.length && (h("button", { ref: el => (this.menuButton = el), "aria-label": "Show navigation menu", class: "hidden h-60 w-60 flex-shrink-0 items-center justify-center leading-none" }, h("i", { class: "mds-list text-2" })))));
  }
  get element() { return getElement(this); }
};

export { MxSubmenu as mx_submenu };

//# sourceMappingURL=mx-submenu.entry.js.map