import { EventEmitter } from '../../stencil-public-runtime';
export declare class MxBanner {
  hasActions: boolean;
  queueItem: {
    resolve: () => void;
    reject: () => void;
  };
  isOpen: boolean;
  type: 'default' | 'warning' | 'progress';
  isVisible: boolean;
  element: HTMLMxBannerElement;
  mxClose: EventEmitter<void>;
  toggleBanner(): Promise<void>;
  componentWillLoad(): void;
  connectedCallback(): void;
  waitForOtherBanners(): Promise<void>;
  removeFromQueue(): void;
  close(): Promise<void>;
  onAlertClick(): void;
  get hostClass(): string;
  get alertClass(): string;
  get avatarIcon(): string;
  render(): any;
}
