import { EventEmitter } from '../../stencil-public-runtime';
import { propagateDataAttributes } from '../../utils/utils';
export interface IMxBlockInputProps {
  assistiveText: string;
  autofocus: boolean;
  colspan: number;
  disabled: boolean;
  error: boolean;
  inputId: string;
  label: string;
  maxlength: number;
  name: string;
  placeholder: string;
  readonly: boolean;
  type?: string;
  value: string;
}
export declare class MxBlockInput implements IMxBlockInputProps {
  dataAttributes: {};
  textInput: HTMLInputElement;
  uuid: string;
  assistiveText: string;
  autofocus: boolean;
  colspan: number;
  disabled: boolean;
  error: boolean;
  inputId: string;
  label: string;
  maxlength: number;
  name: string;
  placeholder: string;
  readonly: boolean;
  type: string;
  value: string;
  isFocused: boolean;
  characterCount: number;
  element: HTMLMxBlockInputElement;
  mxClear: EventEmitter<void>;
  componentWillRender: typeof propagateDataAttributes;
  componentDidLoad(): void;
  onValueChange(): void;
  updateValue(): void;
  onFocus(): void;
  onBlur(): void;
  onContainerClick(e: MouseEvent): void;
  onClearClick(): void;
  onInput(e: InputEvent): void;
  get hasValue(): boolean;
  get hostClass(): string;
  get containerClass(): string;
  render(): any;
}
