import { propagateDataAttributes } from '../../utils/utils';
export interface IMxBlockSelectProps {
  assistiveText: string;
  autofocus: boolean;
  colspan: number;
  disabled: boolean;
  error: boolean;
  inputId: string;
  label: string;
  name: string;
  placeholder: string;
  readonly: boolean;
  type: string;
  value: string;
}
export declare class MxBlockSelect implements IMxBlockSelectProps {
  dataAttributes: {};
  textInput: HTMLInputElement;
  textArea: HTMLTextAreaElement;
  uuid: string;
  menu: HTMLMxMenuElement;
  containerElement: HTMLElement;
  assistiveText: string;
  autofocus: boolean;
  colspan: number;
  disabled: boolean;
  error: boolean;
  inputId: string;
  label: string;
  name: string;
  placeholder: string;
  readonly: boolean;
  type: string;
  value: string;
  isFocused: boolean;
  characterCount: number;
  element: HTMLMxBlockSelectElement;
  componentWillRender: typeof propagateDataAttributes;
  componentDidLoad(): void;
  onValueChange(): void;
  onClick(e: MouseEvent): Promise<void>;
  updateValue(): void;
  onFocus(): void;
  onBlur(): void;
  onContainerClick(): void;
  onInput(e: InputEvent): void;
  onMenuClose(e: any): void;
  attachMenu(): void;
  get hasValue(): boolean;
  get hostClass(): string;
  get containerClass(): string;
  render(): any;
}
