import { IMxInputProps, MxInputIcon } from '../mx-input/mx-input';
export declare class MxConfirmInput implements IMxInputProps {
  previousValue: string;
  mxInput: HTMLMxInputElement;
  isEmittingEventAfterConfirm: boolean;
  name: string;
  inputId: string;
  label: string;
  placeholder: string;
  value: string;
  type: string;
  autofocus: boolean;
  dense: boolean;
  disabled: boolean;
  readonly: boolean;
  maxlength: number;
  leftIcon: string | MxInputIcon[];
  rightIcon: string | MxInputIcon[];
  suffix: string;
  outerContainerClass: string;
  labelClass: string;
  error: boolean;
  assistiveText: string;
  floatLabel: boolean;
  textarea: boolean;
  textareaHeight: string;
  elAriaLabel: string;
  hideCharacterCount: boolean;
  step: string;
  clearErrorOnFocus: boolean;
  isFocused: boolean;
  isHovered: boolean;
  onValueChange(): void;
  connectedCallback(): void;
  get rightIcons(): "mds-edit" | {
    icon: string;
    ariaLabel: string;
    onClick: any;
  }[];
  onCancel(e?: MouseEvent): void;
  onConfirm(e?: MouseEvent): void;
  onFocusin(): void;
  onFocusout(): Promise<void>;
  onMouseEnter(): void;
  onMouseLeave(): void;
  onInput(e: InputEvent): void;
  onKeyDown(e: KeyboardEvent): void;
  render(): any;
}
