export declare class MxDatePicker {
  uuid: string;
  dataAttributes: {};
  pickerWrapper: HTMLElement;
  calendarButton: HTMLElement;
  inputEl: HTMLInputElement;
  isDateInputSupported: boolean;
  allowFuture: boolean;
  allowPast: boolean;
  assistiveText: string;
  autofocus: boolean;
  dense: boolean;
  disabled: boolean;
  elAriaLabel: string;
  error: boolean;
  floatLabel: boolean;
  inputId: string;
  label: string;
  min: string;
  max: string;
  name: string;
  value: string;
  isFocused: boolean;
  isInputDirty: boolean;
  element: HTMLMxDatePickerElement;
  onValueChange(): void;
  componentWillRender(): void;
  componentDidLoad(): void;
  onBlur(): void;
  onFocus(e: FocusEvent): void;
  onInput(e: InputEvent): void;
  onClickLabel(): void;
  onClickButton(): void;
  get minDate(): Date;
  get maxDate(): Date;
  get minValue(): string;
  get maxValue(): string;
  get labelClassNames(): string;
  get inputHasText(): string | boolean;
  get pickerWrapperClass(): string;
  get inputClass(): string;
  get calendarButtonClass(): string;
  render(): any;
}
