import { EventEmitter } from '../../stencil-public-runtime';
import { BtnType } from '../mx-button/mx-button';
export declare class MxImageUpload {
  fileInput: HTMLInputElement;
  hasInstructions: boolean;
  hasSuccess: boolean;
  hasError: boolean;
  acceptImage: boolean;
  acceptPdf: boolean;
  assetName: string;
  assistiveText: string;
  avatar: boolean;
  error: boolean;
  elAriaLabel: string;
  uploadBtnType: BtnType;
  thumbnailSize: 'cover' | 'stretch' | 'contain' | 'auto';
  height: string;
  icon: string;
  inputId: string;
  isUploaded: boolean;
  isUploading: boolean;
  name: string;
  removeButtonLabel: string;
  showButton: boolean;
  showIcon: boolean;
  showDropzoneText: boolean;
  thumbnailUrl: string;
  uploadButtonLabel: string;
  width: string;
  isDraggingOver: boolean;
  isFileSelected: boolean;
  thumbnailDataUri: string;
  element: HTMLMxTableElement;
  mxThumbnailChange: EventEmitter<string>;
  onThumbnailUrlChange(): void;
  connectedCallback(): void;
  componentWillRender(): void;
  removeFile(): Promise<void>;
  selectFile(): Promise<void>;
  onButtonClick(e: MouseEvent): void;
  onInput(e: Event): void;
  setThumnailDataUri(file: File): void;
  onDragOver(): void;
  onDragLeave(): void;
  get accept(): string;
  get dropzoneWidth(): string;
  get dropzoneHeight(): string;
  get dropzoneClass(): string;
  get hasFile(): boolean;
  get thumbnailBackgroundImage(): string;
  get thumbnailBackgroundSize(): string;
  render(): any;
}
