import { EventEmitter } from '../../stencil-public-runtime';
export declare class MxMenuAccordion {
  menuElem: HTMLElement;
  isClosing: boolean;
  uuid: string;
  anchorEl: HTMLElement;
  isOpen: boolean;
  element: HTMLMxMenuAccordionElement;
  mxClose: EventEmitter<void>;
  mxOpen: EventEmitter<void>;
  onClick(e: MouseEvent): void;
  toggleMenu(): Promise<(skipTransition?: boolean) => Promise<boolean>>;
  openMenu(): Promise<boolean>;
  setAnchorElAttributes(): void;
  closeMenu(skipTransition?: boolean): Promise<boolean>;
  componentDidLoad(): void;
  componentWillUpdate(): void;
  setAnchorAriaExpanded(isExpanded?: boolean): void;
  get menuItems(): HTMLMxMenuItemElement[];
  get hostClass(): string;
  render(): any;
}
