import { EventEmitter } from '../../stencil-public-runtime';
import { PopoverInstance, PopoverPlacement, PopoverOffset } from '../../utils/popover';
export declare class MxMenu {
  popoverInstance: PopoverInstance;
  menuElem: HTMLElement;
  scrollElem: HTMLElement;
  inputEl: HTMLInputElement;
  isClosing: boolean;
  uuid: string;
  anchorEl: HTMLElement;
  autocompleteOnly: boolean;
  triggerEl: HTMLElement;
  offset: PopoverOffset;
  placement: PopoverPlacement;
  isOpen: boolean;
  squared: boolean;
  element: HTMLMxMenuElement;
  mxClose: EventEmitter<void>;
  mxOpen: EventEmitter<void>;
  onMenuItemClick(): void;
  onClick(e: MouseEvent): void;
  onFocus(e: FocusEvent): void;
  onDocumentKeyDown(e: KeyboardEvent): void;
  onKeydown(e: KeyboardEvent): void;
  openMenu(): Promise<boolean>;
  setTriggerElAttributes(): void;
  closeMenu(): Promise<boolean>;
  componentDidLoad(): void;
  componentWillUpdate(): void;
  setInputEl(): void;
  get menuItems(): HTMLMxMenuItemElement[];
  get isSubMenu(): boolean;
  get hostClass(): string;
  get menuClass(): string;
  render(): any;
}
