import { EventEmitter } from '../../stencil-public-runtime';
export declare class MxModalOverlay {
  backdrop: HTMLElement;
  focusElements: HTMLElement[];
  firstFocusElement: HTMLElement;
  lastFocusElement: HTMLElement;
  modal: HTMLElement;
  ancestorFocusedElement: HTMLElement;
  closeOnEscape: boolean;
  closeOnOutsideClick: boolean;
  isOpen: boolean;
  portal: boolean;
  isVisible: boolean;
  element: HTMLMxModalOverlayElement;
  mxClose: EventEmitter<any>;
  toggleModal(): void;
  onKeyDown(e: KeyboardEvent): void;
  onDocumentKeyDown(e: KeyboardEvent): void;
  disconnectedCallback(): void;
  componentDidLoad(): void;
  openModal(): Promise<void>;
  getFocusElements(): void;
  closeModal(): Promise<void>;
  onBackdropClick(): void;
  get hostClass(): string;
  render(): any;
}
