import { MinWidths } from '../../utils/minWidthSync';
import { IMxButtonProps } from '../mx-button/mx-button';
export interface IPageHeaderButton extends IMxButtonProps {
  label: string;
}
export declare class MxPageHeader {
  buttonRow: HTMLElement;
  hasTabs: boolean;
  hasModalHeaderCenter: boolean;
  hasModalHeaderRight: boolean;
  menuButton: HTMLMxIconButtonElement;
  resizeObserver: ResizeObserver;
  tabSlot: HTMLElement;
  tertiaryButtonWrapper: HTMLElement;
  tertiaryMenu: HTMLMxMenuElement;
  buttons: IPageHeaderButton[];
  modal: boolean;
  previousPageUrl: string;
  previousPageTitle: string;
  pattern: boolean;
  minWidths: MinWidths;
  renderTertiaryButtonAsMenu: boolean;
  element: HTMLMxPageHeaderElement;
  resetResizeObserver(): Promise<void>;
  updateSlottedButtonSize(): void;
  componentWillLoad(): void;
  connectedCallback(): void;
  disconnectedCallback(): void;
  updateRenderTertiaryButtonAsMenu(): void;
  componentDidLoad(): void;
  get hostClass(): string;
  get headingClass(): string;
  get previousPageClass(): string;
  get buttonsJsx(): any;
  render(): any;
}
