import { EventEmitter } from '../../stencil-public-runtime';
import { IMxTabProps } from '../mx-tab/mx-tab';
import { MinWidths } from '../../utils/minWidthSync';
export declare class MxTabs {
  tabEls: HTMLMxTabElement[];
  menuItemEls: HTMLMxMenuItemElement[];
  moreTabEl: HTMLMxTabElement;
  moreMenuEl: HTMLMxMenuElement;
  submenuLabel: HTMLElement;
  hasMenuSlot: boolean;
  tabBreakpoints: Map<any, any>;
  tabVisibility: Map<any, any>;
  value: number;
  tabs: IMxTabProps[];
  menuButton: HTMLElement;
  nav: boolean;
  submenu: boolean;
  minWidths: MinWidths;
  showMoreTab: boolean;
  isMoreSelected: boolean;
  mxChange: EventEmitter<number>;
  mxMenuOpen: EventEmitter<void>;
  mxMenuClose: EventEmitter<void>;
  onMenuOpen(e: CustomEvent): void;
  onMenuClose(e: CustomEvent): void;
  element: HTMLMxTabsElement;
  connectedCallback(): void;
  resetTabVisibility(): void;
  onValueChange(tabIndex: any, previousTabIndex: any): void;
  animateIndicator(tabIndex: any, previousTabIndex: any): void;
  componentWillRender(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  setTabBreakpoints(): void;
  showAllTabs(): void;
  updateTabVisibility(): void;
  updateMoreTab(isAnyTabHidden?: boolean, isHiddenTabSelected?: boolean): void;
  updateMenuButton(): void;
  applyTabVisibility(): void;
  onClick(e: MouseEvent): void;
  onInput(e: InputEvent): void;
  get allTabsHidden(): boolean;
  get selectedTabLabel(): string;
  get menuEl(): HTMLMxMenuElement;
  get renderAsSelect(): boolean;
  get gridClass(): string;
  render(): any;
}
