import { propagateDataAttributes } from '../../utils/utils';
export declare class MxTimePicker {
  dataAttributes: {};
  pickerWrapper: HTMLElement;
  menuButton: HTMLElement;
  inputElem: HTMLInputElement;
  menu: HTMLMxMenuElement;
  isTimeInputSupported: boolean;
  uuid: string;
  assistiveText: string;
  autofocus: boolean;
  dense: boolean;
  disabled: boolean;
  elAriaLabel: string;
  error: boolean;
  floatLabel: boolean;
  inputId: string;
  label: string;
  name: string;
  value: string;
  isFocused: boolean;
  isInputDirty: boolean;
  element: HTMLMxTimePickerElement;
  onClick(e: MouseEvent): void;
  onValueChange(): void;
  componentWillRender: typeof propagateDataAttributes;
  componentWillLoad(): void;
  componentDidLoad(): void;
  normalizeValue(): void;
  onInput(e: InputEvent): void;
  onBlur(): void;
  onFocus(): void;
  onClickLabel(): void;
  onMenuClose(e: any): void;
  onMenuOpen(): void;
  setValue({ hours, minutes }: {
    hours: number;
    minutes: number;
  }): void;
  updateInputValue(): void;
  getLocalizedTimeString({ hours, minutes }: {
    hours: number;
    minutes: number;
  }): string;
  get labelClassNames(): string;
  get inputHasText(): string | boolean;
  get pickerWrapperClass(): string;
  get inputClass(): string;
  get menuButtonClass(): string;
  render(): any;
}
