import { EventEmitter } from '../../stencil-public-runtime';
import { MinWidths } from '../../utils/minWidthSync';
import { IMxTabProps } from '../mx-tab/mx-tab';
export declare class MxTopNav {
  searchInput: HTMLInputElement;
  menuButton: HTMLButtonElement;
  leftWrapper: HTMLElement;
  mxTabs: HTMLMxTabsElement;
  hasAvatar: boolean;
  searchLoading: boolean;
  searchForm: string;
  searchId: string;
  searchName: string;
  searchPlaceholder: string;
  searchValue: string;
  selectedTabIndex: number;
  showSearch: boolean;
  tabs: IMxTabProps[];
  minWidths: MinWidths;
  isSearchFocused: boolean;
  extendSearch: boolean;
  isMenuOpen: boolean;
  mxChange: EventEmitter<number>;
  mxSearch: EventEmitter<string>;
  element: HTMLMxTopNavElement;
  connectedCallback(): void;
  componentDidLoad(): void;
  componentWillRender(): void;
  disconnectedCallback(): void;
  setExtendSearch(): void;
  onSearchClick(): void;
  onSearchKeydown(e: KeyboardEvent): void;
  get searchClass(): string;
  render(): any;
}
